Skip to main content
POST
/
api
/
workers
/
{workerId}
/
tags
JavaScript
import BrainbaseLabs from 'brainbase-labs';

const client = new BrainbaseLabs({
  apiKey: process.env['BRAINBASE_LABS_API_KEY'], // This is the default and can be omitted
});

const response = await client.workers.tags.assign('workerId', { tagId: 'tagId' });

console.log(response.id);
{
  "id": "<string>",
  "label": "<string>",
  "color": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "teamId": "<string>"
}

Authorizations

x-api-key
string
header
required

API key authentication

Path Parameters

workerId
string
required

Body

application/json
tagId
string
required

Response

Tag assigned to worker

id
string
required
label
string
required
color
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
teamId
string
required